Page MenuHomePhabricator

Ctrl-Click / Cmd-Click in the Compact Language Links panel opens the page in both the current tab and the new tab
Closed, ResolvedPublic

Description

To reproduce:

  • Make sure CLL is enabled.
  • Go to https://en.wikipedia.org/wiki/ASCII
  • Click on "64 more" under the languages list.
  • Ctrl-Click on Italiano. (Or Command-Click if you're on a Mac.)

Expected:

Observed:

Event Timeline

Amire80 created this task.Mar 13 2018, 12:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 triaged this task as High priority.
Amire80 moved this task from Backlog to Compact Language Links on the UniversalLanguageSelector board.

Change 419161 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Switch the current tab to the new language only if it was not Ctrl-Click

https://gerrit.wikimedia.org/r/419161

Arrbee assigned this task to Amire80.Mar 14 2018, 7:04 AM

Change 419773 had a related patch set uploaded (by Amire80; owner: Amire80):
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls from upstream

https://gerrit.wikimedia.org/r/419773

Change 419773 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Update jquery.uls from upstream

https://gerrit.wikimedia.org/r/419773

Change 419161 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Switch the current tab to the new language only if it was not Ctrl/Command/Shift-Click

https://gerrit.wikimedia.org/r/419161

Amire80 moved this task from In Review to QA on the Language-2018-Jan-Mar board.Mar 26 2018, 4:02 PM

I'll check the fix in wmf.27 after deployment.

Checked the fix in wmf.27 - works as expected.

Etonkovidova closed this task as Resolved.Apr 3 2018, 4:25 AM
Nikerabbit moved this task from QA to Done on the Language-2018-Jan-Mar board.Apr 3 2018, 6:54 AM

Thanks for the testing!